Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Class ModuleTelnetImpl.ChaffedTelnet

    java.lang.Object
      com.mindbright.terminal.TerminalInputChaff
          com.mindbright.net.telnet.TelnetTerminalAdapter
              com.mindbright.application.ModuleTelnetImpl.ChaffedTelnet

All Implemented Interfaces:
  java.lang.Runnable, TelnetEventHandler, TerminalInputListener

Enclosing class:
  ModuleTelnetImpl

protected class ModuleTelnetImpl.ChaffedTelnet
extends TelnetTerminalAdapter

Constructor Summary
`ModuleTelnetImpl.ChaffedTelnet(java.io.InputStream in, java.io.OutputStream out, TerminalWindow terminalWin)`

Method Summary
`protected void` | `sendFakeChar()` Send a fake character to the server.

Methods inherited from class com.mindbright.net.telnet.TelnetTerminalAdapter
`getTelnetNVT, interpretAsCommand, isBuffered, optionNegotiation, optionSubNegotiation, receiveData, sendBreak, sendBytes, sendTypedChar, signalWindowChanged`

Methods inherited from class com.mindbright.terminal.TerminalInputChaff
`dispenseChaff, isChaffActive, run, signalTermTypeChanged, startChaff, stopChaff, typedChar, typedChar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleTelnetImpl.ChaffedTelnet

    public ModuleTelnetImpl.ChaffedTelnet(java.io.InputStream in,
                                          java.io.OutputStream out,
                                          TerminalWindow terminalWin)

Method Detail

### sendFakeChar

    protected void sendFakeChar()

  Description copied from class: `TerminalInputChaff`
  Send a fake character to the server.

  Overrides:
    `sendFakeChar` in class `TelnetTerminalAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD